import { Component, ComponentNames } from ".";

export class Interactable extends Component {
  private interaction: Function;

  constructor(interaction: Function) {
    super(ComponentNames.Interactable);

    this.interaction = interaction;
  }

  public interact() {
    this.interaction();
  }
}
